---
_build:
  render: never
  list: never
---
(This guide only appears on GitHub, not the website, because it
**intentionally** does not include YAML front-matter.)

# Knative documentation

Welcome to the source file repository for our documentation on
https://knative.dev.

## Website

The Knative documentation website is built using [Material for MkDocs](https://squidfunk.github.io/mkdocs-material/).

### View published documentation

View all Knative documentation and walk-through our code samples on the
[website](https://knative.dev).

The Knative website includes versioned docs for recent releases, the Knative
blog, links to all community resources, as well as Knative governance and
contributor guidelines.

### Run website locally

For instructions, see Knative's [MkDocs contributor guide](https://knative.dev/docs/help/contributor/mkdocs-contributor-guide).

### Website source files

Source files for the documentation on the website are located within the
[`/docs`](docs) directory of this repo.

### Documentation versions for Knative releases

Each release of the Knative docs is available in the website (starting with
0.3) and their source files are all stored in
[branches of this repo](doc-releases.md).

## Contributing to docs

We're excited that you're interested in contributing to the Knative documentation! Check out the resources below to get started.

### Getting started

If you want to contribute a fix or add new content to the documentation, you can
navigate through the [`/docs`](docs) repo or use the `Edit this page` pencil icon on each of the pages of
the website.

Before you can contribute, first start by reading the Knative contributor
guidelines and learning about our community and requirements. In addition to
reading about how to contribute to the docs, you should take a moment to learn
about the Knative code of conduct, governance, values, and the various working
groups and committees.

[Knative community and contributor guidelines](https://knative.dev/community/contributing/)

Source files for all Knative community and governance topics are located
separately in the [knative/community](https://github.com/knative/community/)
repo.

To help you get started, see the following resources:

- [Knative docs contributor's guide](https://knative.dev/docs/help/contributor/) -- Contains information about how
  to contribute.

- New content templates:
  - [Concept](docs/help/contributor/templates/template-concept.md)
  - [Procedure](docs/help/contributor/templates/template-procedure.md)
  - [Troubleshooting](docs/help/contributor/templates/template-troubleshooting.md)
  - [Blog](docs/help/contributor/templates/template-blog-entry.md)

### Getting help

- [#docs on the Knative Slack](https://slack.knative.dev) -- The #docs channel
  is the best place to go if you have questions about making changes to the
  documentation. We're happy to help!

- [Documentation working group](https://github.com/knative/community/blob/main/working-groups/WORKING-GROUPS.md#documentation) -- Come join
  us in the working group to meet other docs contributors and ask any questions
  you might have.

## Help and support

Your help and feedback is always welcome!

If you find an issue let us know, either by clicking the `Create Issue` on any
of the website pages, or by directly opening an
[issue](https://github.com/knative/docs/issues/new/choose) here in the repo.

If you have a question that you can't find an answer to, we would also like to
hear about that too. In addition to our docs, you can also reach out to the
community for assistance. For example, ask a documentation specific question on
the `#docs` channel in [Slack](https://knative.slack.com/).

Also see the [Knative community resource page](https://knative.dev/community/)
for a list of all the available community resources, including links to the
various community discussion groups for both development as well as
troubleshooting.
