---
title: "Community code samples"
linkTitle: "Code samples"
weight: 40
type: "docs"
---

Get up and running with one of the community code samples. These samples are
contributed and maintained by members of the Knative community.

Note: It is possible that one or more samples might become outdated or the
original author is unable to maintain their contribution. If you find that
something isn't working, lend a helping hand and fix it in a PR.

[Learn more about the lifespan of samples](https://github.com/knative/docs/tree/main/CONTRIBUTING.md#user-focused-content)

[**See all Knative code samples**](../../docs/samples)

### Interactive serving sample

Check out [this Katacoda
tutorial](https://www.katacoda.com/swapb/scenarios/knative-intro) which will
walk you through installing Knative and the `kn` command line tool, deploying a
sample container, updating your deployment, and performing a traffic split
between the two versions.

### Serving samples

Knative Serving sample apps.

| Sample Name | Description | Language(s) |
| ----------- | ----------- | ----------- |
| Hello World | A quick introduction to Knative Serving that highlights how to deploy an app. | [Clojure](serving/helloworld-clojure/), [Dart](serving/helloworld-dart/), [Elixir](serving/helloworld-elixir/), [Haskell](serving/helloworld-haskell/), [Java - Micronaut](serving/helloworld-java-micronaut/), [Java - Quarkus](serving/helloworld-java-quarkus/), [R - Go Server](serving/helloworld-r/), [Rust](serving/helloworld-rust/), [Swift](serving/helloworld-swift/), [Vertx](serving/helloworld-vertx/) |
| Machine Learning | A quick introduction to using Knative Serving to serve machine learning models | [Python - BentoML](serving/machinelearning-python-bentoml)

#### Eventing and Eventing Resources samples

- _Be the first to contribute an Eventing or Eventing Sources code sample to the
  community collection._

### Client samples

Knative `kn` Client sample workflows and apps.

| Sample Name | Description |
| ----------- | ----------- |
| [knfun](https://github.com/maximilien/knfun) | Knative micro-functions (Twitter and Watson APIs) demo using the `kn` client. |
