---
hide_next: true
---
# Next Steps

This topic provides a list of resources to help you continue your Knative journey.

[![Knative Slack Link](images/slack-button.svg)](https://slack.knative.dev/){target=_blank}

## :test_tube: Knative samples

Try out some of the following Knative samples:

- [Converting a Kubernetes Service to a Knative Service](../serving/convert-deployment-to-knative-service.md)
- [Knative Serving code samples](../serving/samples/README.md)
- [Knative Eventing and Event source code samples](../eventing/samples/README.md)

## :page_with_curl: Explore the Knative docs

See the following guides for documentation specific to your role:

- [Developer Guide](../developer/README.md)
- [Admin Guide](../admin/README.md)

## :book: Knative books

Books to help you understand Knative concepts and get additional examples:

- [Knative in Action](https://www.manning.com/books/knative-in-action)

    ??? question "Want a free digital copy of Knative in Action?"
        VMWare has generously donated access to a free copy of the Knative in Action eBook, [get your copy here!](https://tanzu.vmware.com/content/ebooks/knative-in-action){target=_blank}

- [Knative Cookbook](https://www.oreilly.com/library/view/knative-cookbook/9781492061182/)

## :globe_with_meridians: Other Knative links

Other links to help you get started with Knative:

- [Knative YouTube Channel](https://www.youtube.com/channel/UCq7cipu-A1UHOkZ9fls1N8A)
- [Knative.tips](https://knative.tips/)

## :question: Are we missing something?

We'd love to help you along the next step of your Knative journey. If we're missing something on this page that you feel should be here, please [give us feedback](https://forms.gle/Ab44BUBowmnnJsdW9)!
