# Knative contributor's guide (WIP)

## Table of contents


### Getting started

- [Becoming a contributor](becoming-a-contributor.md)
- [Knative MkDocs contributor guide](mkdocs-contributor-guide.md)
- [GitHub workflow for Knative documentation](github.md)


### What to contribute

- [Content structure](structure.md)
- [Creating blog posts](creating-blog-posts.md)
- [Creating new documentation](creating-new-docs.md)
- [Creating code samples](code-samples.md)


### Templates

- [Blog entry template](templates/template-blog-entry.md)
- [Concept template](templates/template-concept.md)
- [Procedure template](templates/template-procedure.md)
- [Troubleshooting template](templates/template-troubleshooting.md)


### Style

You don't need to read the whole style guide before contributing to Knative documentation.
Unpolished contributions delivered early are better than perfect contributions delivered late.

If you notice gaps in the style guide or have queries, please post in [the Docs Slack channel](https://knative.slack.com/archives/C9CV04DNJ).

- [Documenting code](style-guide/documenting-code.md)
- [Formatting standard and conventions](style-guide/style-and-formatting.md)
- [Voice and language](style-guide/voice-and-language.md)
- [Word and phrase list](style-guide/word-and-phrase-list.md)
- [Content re-use](https://github.com/knative/docs/tree/mkdocs/docs/snippets)
- [Using shortcodes (TBD)]()
