For the correct spellings of words, see [Merriam-Webster](https://www.merriam-webster.com/).

| Correct Term                            | Incorrect Term(s)                                          | Notes                                                                                                                                     |
|-----------------------------------------|------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------|
| autoTLS                                 | auto TLS<br>Auto&nbsp;TLS<br>AutoTLS                       |                                                                                                                                           |
| autoscaling                             | Auto-Scaling<br>auto-scaling<br>AutoScaling<br>Autoscaling |                                                                                                                                           |
| because                                 | since                                                      | "Since" is ambiguous; it can refer to the passage of time. "Because" refers to causation or the reason for something.                     |
| Broker                                  | broker                                                     |                                                                                                                                           |
| can                                     | may                                                        | Use "can" to convey permission, to refer to an optional action, or to refer to a possible outcome.                                        |
| Channel                                 | channel                                                    |                                                                                                                                           |
| CLI                                     | command-line<br>command-line&nbsp;tool<br>command&nbsp;line| Use CLI instead of command line interface. Command line is slightly different and for this context should not be used.                    |
| component                               | Component                                                  |                                                                                                                                           |
| ConfigMap                               | configmap<br>cm<br>config&nbsp;map<br>Config&nbsp;Map      |                                                                                                                                           |
| CloudEvent                              | cloud&nbsp;event<br>Cloud&nbsp;Event                       |                                                                                                                                           |
| Docker                                  | docker                                                     |                                                                                                                                           |
| earlier                                 | above                                                      | Don't use directional language to refer to a position in a document.                                                                      |
| event                                   | Event                                                      |                                                                                                                                           |
| event&nbsp;source                       | Event&nbsp;Source                                          |                                                                                                                                           |
| following                               | below                                                      | Don't use directional language to refer to a position in a document.                                                                      |
| hostname                                | host&nbsp;name                                             |                                                                                                                                           |
| Knative&nbsp;Eventing                   | eventing<br>Eventing&nbsp;Component                        |                                                                                                                                           |
| Knative&nbsp;Service<br>Service         | Knative&nbsp;service<br>service<br>ksvc<br>svc             |                                                                                                                                           |
| Knative&nbsp;Serving                    | serving<br>Serving&nbsp;Component                          |                                                                                                                                           |
|\`knative/docs\`&nbsp;GitHub&nbsp;repository | Knative&nbsp;Docs&nbsp;repo<br>Docs&nbsp;repo | This is true for every Knative repo, such as Sandbox, etc. |
| Kubernetes                              | kubernetes                                                 |                                                                                                                                           |
| later                                   | below                                                      | Don't use directional language to refer to a position in a document.                                                                      |
| might                                   | may                                                        | Reserve "may" for official policy or legal considerations. To convey possibility, use "can" or "might". To convey permission, use "can".  |
| minikube                                | Minikube                                                   | https://minikube.sigs.k8s.io/docs/start/                                                                                                  |
| on-premises                             | on-prem<br>on-premise                                      |                                                                                                                                           |
| SIG Docs                                | SIG-DOCS<br>Sig-docs<br>Sig-Docs<br>Sig&nbsp;Docs          |                                                                                                                                           |
| standard&nbsp;input                     | stdin<br>STDIN                                             |                                                                                                                                           |
| standard&nbsp;output                    | stdout<br>STDOUT                                           |                                                                                                                                           |
| Trigger                                 | trigger                                                    |                                                                                                                                           |
| v                                       | ver.<br>version<br>v.                                      | Preface version numbers with "v".                                                                                                         |
| v<version-number>&nbsp;and&nbsp;earlier | or/and&nbsp;lower<br>or/and&nbsp;below<br><=<br>v2.7&nbsp;and&nbsp;later&nbsp;patches.<br>Where patches are mentioned, use three digits: "v2.7.0 and later patches".|                                  |
| v<version-number>&nbsp;or&nbsp;earlier  | or/and&nbsp;lower<br>or/and&nbsp;below<br><=<br>v2.7&nbsp;and&nbsp;later&nbsp;patches.<br>Where patches are mentioned, use three digits: "v2.7.0 and later patches".|                                  |
| v<version number>&nbsp;and&nbsp;earlier&nbsp;patches | or/and&nbsp;lower<br>or/and&nbsp;below<br><=<br>v2.7&nbsp;and&nbsp;later&nbsp;patches.<br>Where patches are mentioned, use three digits: "v2.7.0 and later patches".|                     |
| v<version number>&nbsp;or&nbsp;earlier&nbsp;patches  | or/and&nbsp;lower<br>or/and&nbsp;below<br><=<br>v2.7&nbsp;and&nbsp;later&nbsp;patches.<br>Where patches are mentioned, use three digits: "v2.7.0 and later patches".|                     |
| v<version-number>&nbsp;and&nbsp;later   | or/and&nbsp;higher<br>or/and&nbsp;greater<br>or/and&nbsp;above<br>>=<br>"v2.7&nbsp;and&nbsp;later&nbsp;patches".<br>Where patches are mentioned, use three digits: "v2.7.0 and later patches".|        |
| v<version-number>&nbsp;or&nbsp;later    | or/and&nbsp;higher<br>or/and&nbsp;greater<br>or/and&nbsp;above<br>>=<br>"v2.7&nbsp;and&nbsp;later&nbsp;patches".<br>Where patches are mentioned, use three digits: "v2.7.0 and later patches".|        |
| v<version-number>&nbsp;and&nbsp;later&nbsp;patches| or/and&nbsp;higher<br>or/and&nbsp;greater<br>or/and&nbsp;above<br>>=<br>"v2.7&nbsp;and&nbsp;later&nbsp;patches".<br>Where patches are mentioned, use three digits.|                          |
| v<version-number>&nbsp;or&nbsp;later&nbsp;patches    | or/and&nbsp;higher<br>or/and&nbsp;greater<br>or/and&nbsp;above<br>>=<br>"v2.7&nbsp;and&nbsp;later&nbsp;patches".<br>Where patches are mentioned, use three digits.|                       |
| v1.6                                    | v1.6.X<br>v1.6.x                                           | It's likely better to omit the wildcard, leaving the unspecified major, minor, or patch as implied. |                                     |
